Page MenuHomePhabricator

[lldb] Calculate relative path for symbol links
ClosedPublic

Authored by hhb on Sep 24 2019, 3:28 PM.

Event Timeline

hhb created this revision.Sep 24 2019, 3:28 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 24 2019, 3:28 PM

Yep, that's a change in the right direction. Have you (at least mentally) verified that it produces the correct path in all cases? I wouldn't trust the inputs being entirely correct.

hhb added a comment.Sep 24 2019, 10:40 PM

Yep, that's a change in the right direction. Have you (at least mentally) verified that it produces the correct path in all cases? I wouldn't trust the inputs being entirely correct.

So far I tested the easiest case in my Ubuntu. I'll do another round of tests on Windows and darwin before submit. But I'm afraid I don't have the right environment to test xcode case.

labath accepted this revision.Sep 25 2019, 2:18 AM

This looks fine.

There is no xcode build. If you want to test building the framework, you just need to set LLDB_BUILD_FRAMEWORK cmake variable. I don't know if there's any other var than needs setting, but we have a cache file (cmake/caches/Apple-lldb-Xcode.cmake), which should build things the same way as the apple folks are building, so you could just use that.

lldb/scripts/Python/finishSwigPythonLLDB.py
383

I guess this is unused now.

This revision is now accepted and ready to land.Sep 25 2019, 2:18 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptOct 3 2019, 2:52 PM